利用Python中的Salib模块进行数据敏感性分析的各种问题

第一次使用Python,所以有很多问题,首先电脑上不知道什么时候装了两个版本2.75和3.2,造成很多问题,于是在处处碰壁之后,将这两个版本全部卸载(其中2.7.5是安装东方仿真软件时候自带安装的,一通找之后才发现),这里完全卸载Python的方法只有通过python的安装包来卸载,如果电脑上不慎删除了,就需要通过官网在下载一个同样版本的安装包来卸载,别无他法!

遇到问题如下:

1 使用pip下载报错

原因:未安装pip

这里是因为一开始使用的是python2.X,官方不会自动安装pip,需要自己手动安装pip;如果使用的是python3.X便没有此问题

解决办法:

①首先确认安装好python文件,并配置好环境变量
随处打开终端,输入python,可以运行,则说明ok,如下:

②安装easy_install工具
下载easy_install工具安装文件(链接:https://pan.baidu.com/s/1AT4TcUSF7bVKE5xT9ZkHjw 
提取码:vsx3)

在终端输入:

python ez_setup.py 安装完后,可以在python安装目录下,Scripts文件夹内看到easy_install工具​​​​​

利用Python中的Salib模块进行数据敏感性分析的各种问题_第1张图片

③用easy_install工具,安装 pip
Scripts文件夹内打开终端,运行: easy_install pip ,安装好后在该文件夹终端下运行pip如下:

利用Python中的Salib模块进行数据敏感性分析的各种问题_第2张图片
————————————————
版权声明:本节为CSDN博主「潇湘_AQ」的原创文章,遵循CC 4.0 BY-SA版权协议,转载请附上原文出处链接及本声明。
原文链接:https://blog.csdn.net/u012905422/article/details/53340260

2 下载Salib报错利用Python中的Salib模块进行数据敏感性分析的各种问题_第3张图片原因:权限不足

解决办法:在install 后面加上 --user就可以了。即由pip install Salib 变化为pip install --user Salib即可

未完待续……

你可能感兴趣的